OGRE: Ogre::VertexBoneAssignment Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Friends | List of all members
Ogre::VertexBoneAssignment Struct Reference
Core » Animation

Records the assignment of a single vertex to a single bone with the corresponding weight. More...

`#include <OgreVertexBoneAssignment.h>`

## Public Member Functions
| VertexBoneAssignment (const v1::VertexBoneAssignment &c)
| VertexBoneAssignment (uint32 _vertexIndex, uint16 _boneIndex, Real _weight)
bool | operator< (const VertexBoneAssignment &_r) const

## Public Attributes
uint16 | boneIndex
uint32 | vertexIndex
Real | weight

## Friends
bool | operator< (const VertexBoneAssignment &_l, uint32 _vertexIndex)
bool | operator< (uint32 _vertexIndex, const VertexBoneAssignment &_r)

## Detailed Description

Records the assignment of a single vertex to a single bone with the corresponding weight.

Remarks
  This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

## Constructor & Destructor Documentation

## ◆ VertexBoneAssignment() [1/2]

Ogre::VertexBoneAssignment::VertexBoneAssignment | ( | uint32 | _vertexIndex,
|  | uint16 | _boneIndex,
|  | Real | _weight
| ) |  |
| inline

## ◆ VertexBoneAssignment() [2/2]

Ogre::VertexBoneAssignment::VertexBoneAssignment | ( | const v1::VertexBoneAssignment & | c | ) |
| inline

## Member Function Documentation

## ◆ operator<()

bool Ogre::VertexBoneAssignment::operator< | ( | const VertexBoneAssignment & | _r | ) | const
| inline

References vertexIndex, and weight.

## Friends And Related Function Documentation

## ◆ operator< [1/2]

bool operator< | ( | const VertexBoneAssignment & | _l,
|  | uint32 | _vertexIndex
| ) |  |
| friend

## ◆ operator< [2/2]

bool operator< | ( | uint32 | _vertexIndex,
|  | const VertexBoneAssignment & | _r
| ) |  |
| friend

## Member Data Documentation

## ◆ boneIndex

uint16 Ogre::VertexBoneAssignment::boneIndex

## ◆ vertexIndex

uint32 Ogre::VertexBoneAssignment::vertexIndex

Referenced by Ogre::operator<(), and operator<().

## ◆ weight

Real Ogre::VertexBoneAssignment::weight

Referenced by operator<().

The documentation for this struct was generated from the following file:

- OgreVertexBoneAssignment.h